summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-11-20 14:30:12 +0100
committerJim Meyering <meyering@redhat.com>2011-11-20 14:30:12 +0100
commit1de1d040273d4eae059ad6cd0feb696f86743b5f (patch)
treedb8b04c5d975c48532c837fb0b962cb455a7bfff
parentea1a3cbdf3cb751d0e862b4dcdd8cf449d9d944f (diff)
downloadgrep-1de1d040273d4eae059ad6cd0feb696f86743b5f.tar.gz
tests: avoid unwarranted test failure on *BSD-based systems
* tests/word-delim-multibyte (e_acute): Use a more portable representation of e-acute. Reported by Bruno Haible.
-rwxr-xr-xtests/word-delim-multibyte5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/word-delim-multibyte b/tests/word-delim-multibyte
index 5add9c87..a6411aff 100755
--- a/tests/word-delim-multibyte
+++ b/tests/word-delim-multibyte
@@ -5,12 +5,13 @@
require_en_utf8_locale_
-echo 'é' > in || framework_failure_
+e_acute=$(printf '\303\251')
+echo "$e_acute" > in || framework_failure_
LC_ALL=en_US.UTF-8
export LC_ALL
fail=0
-grep '\<é' in > out 2>err || fail=1
+grep '\<$e_acute' in > out 2>err || fail=1
compare out in || fail=1
compare err /dev/null || fail=1